<?php
# ---------------------------------------------------------------------
# truc is a tool for requirement and use case tracking
# Copyright (C) 2006 ASDIS - http://sf.net/projects/truc
#
# (rth) Initial truc version based on rth
#       Copyright (C) 2005 George Holbrook - rth@lists.sourceforge.net
#
# This program is distributed under the terms and conditions of the GPL
# See the README and LICENSE files for details
#----------------------------------------------------------------------

include"./api/include_api.php";
auth_authenticate_user();

$page           		= basename(__FILE__);
$s_project_properties   = session_get_project_properties();
$project_name           = $s_project_properties['project_name'];
$project_id 			= $s_project_properties['project_id'];
$row_style              = '';

session_set_properties("project_manage", $_GET);
$selected_project_properties 	= session_get_properties("project_manage");
$selected_project_id 			= $selected_project_properties['project_id'];
$test_doc_type_id				= $selected_project_properties['test_doc_type_id'];

html_window_title();
html_print_body();
html_page_title($project_name ." - ". lang_get('edit_test_doc_type_page') );
html_page_header( $db, $project_name );
html_print_menu();

html_project_manage_map( Array("project_manage_link", "testdoctype_link", "Edit") );

print"<br>\n";

error_report_check( $_GET );

print"<div align=center>";

########################################################################################
# Edit Area Tested

$row = project_get_test_doc_type($selected_project_id, $test_doc_type_id);

print"<form method=post action='project_edit_testdoctype_action.php'>\n";
print"<input type=hidden name=project_id value=$selected_project_id>";
print"<input type=hidden name=test_doc_type_id value=$test_doc_type_id>";
print"<span class='required'>*</span><span class='print'>" . lang_get('must_complete_field') . "</span>\n";
print"<table class='width70'>\n";
print"<tr>\n";
print"<td>\n";
print"<table class=inner>\n";
print"<tr>\n";
print"<td class=form-header-l>".lang_get('add_test_doc_type')."</td>\n";
print"</tr>\n";
print"<tr>\n";
print"<td class='form-lbl-c'><span class='required'>*</span>\n";
print"<input type=text size=60 maxlength=50 name='test_doc_type_required' value='".session_validate_form_get_field( 'test_doc_type_required', $row[MAN_DOC_TYPE_NAME] )."'>\n";
print"&nbsp;<input type=submit name='new_area_tested' value='".lang_get("save")."'>";
print"</td>\n";
print"</tr>\n";
print"</table>\n";
print"</td>\n";
print"</tr>\n";
print"</table>\n";
print"</form>\n";

print"</div>";

html_print_footer();
?>